From 4f71cc5c821f83615cbf55a8e59aa9b3b6d107c3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 16 2020 07:55:27 +0000
Subject: [PATCH 1426/2232] Add CxxVector::iter


---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index d25ea91..e495a97 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -82,6 +82,11 @@ where
             unsafe { slice::from_raw_parts(ptr, len) }
         }
     }
+
+    /// Returns an iterator over elements of type `&T`.
+    pub fn iter(&self) -> Iter<T> {
+        Iter { v: self, index: 0 }
+    }
 }
 
 pub struct Iter<'a, T> {
@@ -97,7 +102,7 @@ where
     type IntoIter = Iter<'a, T>;
 
     fn into_iter(self) -> Self::IntoIter {
-        Iter { v: self, index: 0 }
+        self.iter()
     }
 }
 

